## devscripts 2.21.1~bpo10+1

=== debian/changelog ===
devscripts (2.21.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 01 Mar 2021 17:03:52 +0100

devscripts (2.21.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * setup.py:
    + Produce a __init__.py at build time, containing the Devscripts version.
  * uscan:
    + Set the umask while running `svn export`, so as to produce a
      reproducible tarball with mode=svn.
  * tests:
    + Undefine some variables that might affect the tests.
    + Run again all tests on hurd, glibc 2.31-6 fixed sem_open().
    + test_debrepro, test_uscan_ftp, test_uscan_svn: skip the tests on
      kfreebsd, as support for the required sem_open() is lacking.
    + test_uscan_mangle: do not call helperWatch multiple times in a test, to
      prevent leftover background processes.
    + test_debchange: skip Ubuntu tests when there is no known development
      release, like right after an Ubuntu release.  Closes: #958912
  * d/control:
    + Remove Pierre-Elliott Bécue from Uploaders;
      thank you for all your past contributions!
  * d/lintian-overrides:
    + Update to match the newer lintian output.
  * d/copyright:
    + Fix some issues spotted by lintian.

  [ Xavier Guimard ]
  * salsa:
    + Fix bash completion.
  * uscan:
    + Dicrease checksum message from warning to verbose.
    + Fix verbosity when USCAN_VERBOSE=yes

  [ Baptiste Beauplat ]
  * namechck:
    + Remove some dead URLs.  MR: !215

  [ Michel Le Bihan ]
  * debchange:
    + Warn when DEBEMAIL and EMAIL are not set.  Closes: #977809

  [ Johannes Schauer ]
  * debbisect (MR: !214):
    + Fix installation path of the internal scripts.
    + Use os.path.lexist instead of os.path.exist when checking symlinks.
    + Set the PATH environment variable to a sensible default if it's not set.
    + Automatically retry a download aborted by snapshot.d.o after 10 seconds.
    + Instead of appending, seek to the correct position in the output file.
  * debrebuild (MR: !212):
    + Unconditionally set Acquire::http::Dl-Limit "1000" and Acquire::Retries
      "5" to hopefully not get blocked by snapshot.debian.org.
    + Downgrades are avoided by using the last stable release.  Closes: #955307
    + There is now proper --help output and a man page.  Closes: #955049
    + Using the --timestamp option one can either manually provide the
      necessary timestamps separated by commas or use metasnap.debian.net by
      supplying the value "metasnap".
    + Add the --builder option to select the rebuilder backend. The default is
      "none" which just prints instructions.  Currently, possible values are
      sbuild, dpkg, mmdebstrap and sbuild+unshare.  Closes: #955123
      - Add the --buildresults option where the build results will be stored.
      - Compare the checksums from the input buildinfo with the built artifacts.
      - The sbuild+unshare as well as the mmdebstrap builders allow debrebuild
        to operate without any setup.  Closes: #958750
      - All builders (except the "none" builder) do download the source package
        automatically.  Closes: #961861
      - All builders now support binNMUs.  Closes: #961862

  [ Andrej Shadura ]
  * origtargz:
    + Add pristine-lfs support.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 16 Feb 2021 17:45:53 +0100

## devscripts 2.21.1ubuntu1

=== scripts/Makefile ===

include ../Makefile.common
include /usr/share/dpkg/vendor.mk
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION = $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.sh,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES := \
	build-rdeps \
	dd-list \
	debcheckout \
	debsnap \
	dget \
	getbuildlog \
	grep-excuses \
	mass-bug \
	mk-build-deps \
	pts-subscribe \
	pts-unsubscribe \
	rc-alert \
	rmadison \
	transition-check \
	who-uploads \
	whodepends \
	wnpp-alert \
	wnpp-check \

GEN_MAN1S += \
	deb-why-removed.1 \
	debbisect.1 \
	debrebuild.1 \
	debrepro.1 \
	ltnu.1 \
	mk-origtargz.1 \
	salsa.1 \
	reproducible-check.1 \
	uscan.1 \

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(DEB_VENDOR),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<; \

test_py: $(VERSION_FILE)
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

debbisect.1: debbisect
	help2man \
		--name="bisect snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debrebuild.1: debrebuild
	help2man \
		--name="use a buildinfo file and snapshot.d.o to recreate binary packages" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)


test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for debpkg and run_bisect
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)/scripts

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/changelog ===
devscripts (2.21.1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Don't build-depend on subversion on i386, not supported on this arch.
    + Downgrade pristine-tar dependency relation to Suggests (See LP#1885766).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Feb 2021 10:25:09 +0100

devscripts (2.20.5ubuntu6) hirsute; urgency=medium

  * uscan: Try to wrap the `svn export` call in umask, to get a stable
    tarball from it.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 17 Jan 2021 07:36:52 +0100

devscripts (2.20.5ubuntu5) hirsute; urgency=medium

  * Try to debug autopkgtest failure.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 16 Jan 2021 05:55:38 +0100

devscripts (2.20.5ubuntu4) hirsute; urgency=medium

  * Prevent leftover background processes that hangs the builds.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 11 Dec 2020 22:23:24 +0100

devscripts (2.20.5ubuntu3) hirsute; urgency=medium

  * Revert the previous upload, now that pylint is now fixed.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 11 Dec 2020 21:21:47 +0100

devscripts (2.20.5ubuntu2) hirsute; urgency=medium

  * Ignore pylint C0330, which is fixed in pylint 2.6.0 (actually, pylint
    2.6.0 will make devscripts ftbfs then…).

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 28 Nov 2020 17:34:39 +0100

devscripts (2.20.5ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Don't build-depend on subversion on i386, not supported on this arch.
    + Downgrade pristine-tar dependency relation to Suggests (See LP#1885766).

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 28 Nov 2020 14:49:32 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 docbook-xsl,
 dpkg-dev (>= 1.19.1),
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck> | gnupg2 <!nocheck>,
 help2man,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-desktopentry-perl <!nocheck>,
 libfile-dirlist-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-touch-perl <!nocheck>,
 libfile-which-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libipc-run-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 libtry-tiny-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 mozilla-devscripts <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkg-config,
 po4a,
 pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-magic <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 subversion [!i386] <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 fakeroot,
 file,
 gnupg | gnupg2,
 gpgv | gpgv2,
 libfile-dirlist-perl,
 libfile-homedir-perl,
 libfile-touch-perl,
 libfile-which-perl,
 libipc-run-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt (>= 1.3~pre3),
 dctrl-tools,
 dput | dupload,
 libdistro-info-perl,
 libdpkg-perl,
 libencode-locale-perl,
 libgit-wrapper-perl,
 libgitlab-api-v4-perl,
 liblist-compare-perl,
 libstring-shellquote-perl,
 libtry-tiny-perl,
 liburi-perl,
 licensecheck,
 lintian,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 adequate,
 at,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 cvs-buildpackage,
 debhelper,
 devscripts-el,
 diffoscope,
 disorderfs,
 dose-extra (>= 4.0),
 duck,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libfile-desktopentry-perl,
 libnet-smtps-perl,
 libterm-size-perl,
 libtimedate-perl,
 libyaml-syck-perl,
 mmdebstrap,
 mozilla-devscripts,
 mutt,
 piuparts,
 postgresql-client,
 pristine-lfs,
 pristine-tar,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

## devscripts 2.21.2~bpo10+1

=== debian/changelog ===
devscripts (2.21.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 09 May 2021 19:29:57 +0200

devscripts (2.21.2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * po4a:
    + Generalize makefile to more easily support more languages.
    + New Portuguese translation of the manpages.  Closes: #983271
      Thanks to Américo Monteiro <a_monteiro@gmx.com>.
  * tests:
    + test_uscan_svn: save the produced tarball in case of autopkgtest failure.
  * nmudiff:
    + Replace call to deprecated tempfile(1) with mktemp(1).  Closes: #987563

  [ Logan Rosen ]
  * dget:
    + Fix typo in help text.  MR: !218

  [ Taowa ]
  * dscverify:
    + Add non-uploading developer keyring to the keys used to check the files.
      Closes: #985712; MR: !219
  * who-uploads:  MR: !222
    + Add non-uploading developer keyring to the keys the tool checks against.
    + Update the default config file with the default set of keyrings checked.

  [ Yadd ]
  * uscan:
    + Always clean temporary git checkouts.  Closes: #972585; MR: !227
  * Update fr translation.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 May 2021 20:57:28 +0200

## devscripts 2.21.2ubuntu2

=== debian/changelog ===
devscripts (2.21.2ubuntu2) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Don't build-depend on subversion on i386, not supported on this arch.
    + Downgrade pristine-tar dependency relation to Suggests (See LP#1885766).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 May 2021 13:05:39 +0200

## devscripts 2.21.3~bpo10+1

=== debian/changelog ===
devscripts (2.21.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jul 2021 10:58:07 +0200

devscripts (2.21.3) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * "Update" my name in the copyright claims.  MR: !230
  * debbisect:  MR: !229
    + Fix installation of helper scripts.
    + Improve the HTTP proxy handling of 200 and 404.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 30 Jun 2021 15:11:06 +0200

## devscripts 2.21.3+deb11u1~bpo10+1

=== debian/changelog ===
devscripts (2.21.3+deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Jan 2022 15:22:08 +0100

devscripts (2.21.3+deb11u1) bullseye; urgency=medium

  [ Mattia Rizzolo ]
  * debchange:
    + Target bullseye-backports with --bpo.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Aug 2021 17:02:14 +0200

## devscripts 2.21.3+deb11u1

=== po4a/Makefile ===
include ../Makefile.common

LANGS = de fr pt

DESC_de/ = Debian-Hilfswerkzeuge
DESC_fr/ = Utilitaires Debian
DESC_pt/ = Utilitários Debian

GEN_TR_MAN1S := $(sort $(foreach lang,$(LANGS),$(patsubst %.1,$(lang)/%.$(lang).1,$(GEN_MAN1S))))

all: translate
# GEN_TR_MAN1S needs translate finished, serialize the calls
	@$(MAKE) transform
transform: $(GEN_TR_MAN1S)

translate: ../doc/devscripts.1
	po4a --previous --no-backups --keep=0 devscripts-po4a.conf
	touch $@

clean: ../doc/devscripts.1
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate
	rm -rf $(LANGS)

../doc/devscripts.1:
	# po4a translate and clean need ../doc/devscripts.1, rebuild it
	$(MAKE) -C ../doc devscripts.1

%.1:: %.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.1:: %.pod translate
	podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.1:: %.dbk translate
	xsltproc --nonet \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
	# /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/other.xsl
	# (which is imported by the above stylesheet) insists in writing the output
	# to where it wants to.  we can only move the file ourselves.
	# ($* → de/deb-reversion.de)
	mv $(notdir $(basename $*)).1 $@

=== scripts/Makefile ===
--- 
+++ 
@@ -156,6 +156,7 @@
 	install -d $(DESTDIR)$(DATA_DIR)
 	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
 	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
+	install -d $(DESTDIR)$(DATA_DIR)/scripts
 	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)/scripts
 	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)/scripts

=== debian/changelog ===
devscripts (2.9.23) unstable; ur

=== test/uscan/manual-test/_dh-make-golang/debian/changelog ===
dh-make-golang (0~0.0-1) unstable; urgency=medium

  * dummy changelog.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2018 22:48:47 +0900

=== test/uscan/manual-test/_tweeper/debian/changelog ===
tweeper (0~0.0-1) unstable; urgency=medium

  * dummy changelog.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2018 22:48:47 +0900

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
- subversion [!i386] <!nocheck>,
+ subversion <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,
  xsltproc,
@@ -102,6 +102,7 @@
  lintian,
  man-db,
  patch,
+ pristine-tar,
  python3-apt,
  python3-debian (>= 0.1.15),
  python3-magic,
@@ -144,7 +145,6 @@
  piuparts,
  postgresql-client,
  pristine-lfs,
- pristine-tar,
  quilt,
  ratt,
  reprotest,

=== debian/tests/control ===
Tests: shunit2
Depends:
 build-essential,
 debhelper,
 fakeroot,
 faketime,
 git,
 gnupg,
 libdistro-info-perl,
 libgitlab-api-v4-perl,
 libipc-run-perl,
 libtest-output-perl,
 libwww-perl,
 mozilla-devscripts,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 subversion,
 wdiff,
 zip,
 @,
Restrictions: allow-stderr

Tests: destructive
Depends:
 apt,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 @,
Restrictions: allow-stderr, breaks-testbed, needs-root

## devscripts 2.21.4

=== debian/changelog ===
devscripts (2.21.4) unstable; urgency=medium

  [ Fabrice Fontaine ]
  * hardening-check:
    + Handle emtpy symble table by returning an unknown result for the
      stack-protector check.  MR: !223

  [ Yadd ]
  * salsa:
    + Add a new last_ci_status subcommand.  MR: !226
  * Update fr translation.

  [ Mattia Rizzolo ]
  * debchange:
    + Target bullseye-backports with --bpo.
    + Recognize 'trixie' as a valid distribution already.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Aug 2021 16:56:46 +0200

## devscripts 2.21.4ubuntu1

=== debian/changelog ===
devscripts (2.21.4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Don't build-depend on subversion on i386, not supported on this arch.
    + Downgrade pristine-tar dependency relation to Suggests (See LP#1885766).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Aug 2021 14:43:14 +0200

devscripts (2.21.3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Don't build-depend on subversion on i386, not supported on this arch.
    + Downgrade pristine-tar dependency relation to Suggests (See LP#1885766).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jun 2021 17:54:44 +0200

## devscripts 2.21.6~bpo11+1

=== debian/changelog ===
devscripts (2.21.6~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 04 Dec 2021 14:30:55 +0100

devscripts (2.21.6) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * dscverify:
    + Explicitly tell gpg to verify the signature, to avoid warning messages
      from it.  Thanks to Jakub Wilk.  Closes: #999141
  * Add zstd to the autopkgtests dependencies.  Closes: #1000417
  * origtargz:
    + Document pristine-lfs in README.
  * uscan:
    + Revert "Assign $newfile_base a filename, not a URL, when
      filenamemangling".  Re-opens: #993585; Closes: #1000210
  * Include the updated Portuguese translation.  Closes: #1000758
    Thanks to Américo Monteiro <a_monteiro@gmx.com>.

  [ Yadd ]
  * Update French translation.

  [ Unit 193 ]
  * uscan:
    + Better alignment for the verbose output.

  [ Ville Skyttä ]
  * Replace `switch` with `command -v`.  MR: !244

  [ Johannes Schauer Marin Rodrigues ]
  * New script!
    + debootsnap: bootstrap a Debian system from snapshot.debian.org.  MR: !231
  * debbisect:
    + Add an example debbisect script to use when one wants to bisect the
      build of a Debian source package.  MR: !242

  [ Paul Wise ]
  * bts:  MR: !247
    + Allow adding more --cc-addr options to add more CCs.
    + Add package/submitter CCs when sending mails via mutt.
    + Correct and update documentation about additional CCs.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 Nov 2021 14:01:41 +0100

devscripts (2.21.5) unstable; urgency=medium

  [ Paul Wise ]
  * bts:
    + Sync list of tags from the BTS debbugs config.
  * grep-excuses:
    + Allow passing multiple package names to -w/--wipnity.  MR: !232

  [ Daichi Fukui ]
  * dpkg-depcheck:
    + Replace tempfile with mktemp.  Closes: #995583

  [ Hugh McMaster ]
  * nmudiff:
    + Fix spelling of the --non-dd/--nondd options in the manpage.  MR: !241
  * uscan:
    + Assign $newfile_base a filename, not a URL, when filenamemangling.
      Closes: #993585; MR: !235
    + Use upstream package filename in verbose output where appropriate.

  [ Mattia Rizzolo ]
  * nmudiff:
    + Apply patches from Raúl Benencia <rul@kalgan.cc> to:
      - fix typo in documentation.  Closes: #996392
      - fix misleading delay header on non-dd use case.  Closes: #996565
  * uscan:
    + In the examples, use @ANY_VERSION@ and @ARCHIVE_EXT@ wherever possible.
      Thanks to Bastien Roucariès for the suggestion.
    + In the examples, drop all usages of `uupdate` as "script": it is my
      opinion that nowadays very few people should actually be calling
      uupdate, as `gbp import-orig` or similar tools already cover that;
      mixing gbp and uupdate leads to what people would not normally expect.
    + In the examples, also drop all needless usage of the "debian" version,
      which is the default: it is my opion that such examples only lead to
      blind cargo-culting.
  * Declaratively build-depend on dh-sequence-python3 and drop --with python3.
  * Bump debhelper compat level to 13.
  * Fix some new pylint issues across the codebase:  Closes: #998542
    + R1732: consider-using-with.
    + C0209: consider-using-f-string (prject-wide ignore).
    + R1734/R1735: use-list-literal/use-dict-literal.
    + W1514: unspecified-encoding.

  [ Yadd ]
  * Update fr translation.
  * Reformat perl scripts with the new perltidy 20210717.
  * uscan:
    + Add repack tests for lzma.
    + Die if filenamemangle failed.  MR: !238
    + Die in case of filename conflict within the same uscan process.  MR: !238
    + Add Zstandard support.  For now uscan will force its repacking to
      .tar.xz, at least until dpkg-source fully supports the format.  MR: !122

  [ Nicholas D Steeves ]
  * d/control:
    + Suggest elpa-devscripts instead of the now dummy devscripts-el.  MR: !236

  [ Jelmer Vernooĳ ]
  * New script!
    + deb-janitor: a command-line client for the Debian janitor API.  MR: !211
      Current features include scheduling a package run and retrieving a diff
      of a specific run.

  [ Kylie McClain ]
  * checkbashisms:
    + Add a new option -l/--lint to make checkbashisms format its output in a
      machine-parsable way normally used by editors.  MR: !228

  [ Ian Jackson ]
  * grep-excuses:
    + When run with --autopkgtests (which shows test failures of the given
      packages when triggered by other packages) ignore the RUNNING and
      OLD_PASS states.  MR: !234

  [ Niels Thykier ]
  * wrap-and-sort:
    + Make use of the new `order_after` method from python-debian if
      available, for improved performance.  MR: !240

  [ Simon McVittie ]
  * debdiff:
    + New option --(no-)apply-patches to diff the patched tree for 3.0(quilt)
      source packages, instead of only diffing the single patches.
      MR: !170; Closes: #688219; See #939602

  [ Ville Skyttä ]
  * Fix some spelling errors in code comments.  MR: !243

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Nov 2021 15:45:35 +0100

## devscripts 2.21.7~bpo11%2B1

=== debian/changelog ===
devscripts (2.21.7~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Dec 2021 16:40:46 +0100

devscripts (2.21.7) unstable; urgency=medium

  [ Yadd ]
  * l10n:
    + Fix build to install translated manpages of uscan.  Closes: #1001157
  * uscan:
    + Fix version mangling when using "group".  Closes: #1000969; MR: !252
    + Fix urlbase when searchmode=plain.  Closes: #1001472; MR: !253

  [ Mattia Rizzolo ]
  * tests:
    + Update the package_lifecycle test strings to match the changes done in
      dpkg 1.21.0.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Dec 2021 13:54:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  docbook-xsl,
  dpkg-dev (>= 1.19.1),
  faketime <!nocheck>,
@@ -45,6 +45,7 @@
  python3-debian <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-magic <!nocheck>,
+ python3-pycurl <!nocheck>,
  python3-pyftpdlib <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
@@ -57,7 +58,8 @@
  xsltproc,
  xz-utils <!nocheck>,
  zip <!nocheck>,
-Standards-Version: 4.5.1
+ zstd <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -124,11 +126,11 @@
  check-all-the-things,
  cvs-buildpackage,
  debhelper,
- devscripts-el,
  diffoscope,
  disorderfs,
  dose-extra (>= 4.0),
  duck,
+ elpa-devscripts,
  faketime,
  gnuplot,
  how-can-i-help,

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
 SUBSTVARS=-V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS) \
		-V"devscripts:LongDesc=$$(cat README| awk '/^- annotate-output/,/^  mailing lists./'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"

## devscripts 2.22.1~bpo11+1

=== debian/changelog ===
devscripts (2.22.1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Mar 2022 13:23:26 +0100

devscripts (2.22.1) unstable; urgency=medium

  [ Yadd ]
  * Translations:
    + fix some POD error in translations
    + add uscan and salsa in translation list.  Closes: #1001157
    + build translated manpages even if there are some POD errors

  [ Vipul Kumar ]
  * wnpp-check:
    + Replace HTTP URLs with HTTPS.  Closes: #1002311, #902242; MR: !256
  * rc-alert, wnpp-alert, wnpp-check:
    + Allow curl to follow HTTP redirections.  MR: !257

  [ Mattia Rizzolo ]
  * wnpp-check:
    + Document -e,--exact in the --help output.  Closes: #1003254
  * Make pristine-tar a Suggests in Ubuntu, as it's not in main so it can't be
    a Recommends.  LP: #1885766
  * Don't build-depend on subversion on i386, skipping the test_uscan_svn
    test; this is to avoid a delta with Ubuntu, that doesn't have svn on i386.

  [ Johannes Schauer Marin Rodrigues ]
  * debrebuild:
    + Use the new field_parse_binary_source() from libdpkg-perl >= 1.21.0
      if available.  MR: !249

  [ Hugh McMaster ]
  * test_uscan_mangle:
    + Use MGZREPACK to specify the expected file extension when necessary;
      otherwise, use the default file extension.
    + Add a workaround for testWatch4WebNonNativeMUT0(). MR: !258
    + Test use of filenamemangle with single and multiple upstream tarballs.
    + Modify helperWatch() to accept filenamemangled filenames.
    + Allow filenamemangling with multiple upstream tarballs.
  * uscan:
    + Reassign $newfile_base to be the filename component of an upstream
      filenamemangled URL if the given regex pattern only modifies the
      upstream filename. Closes: #993585; MR: !255

  [ Carlos Alberto Lopez Perez ]
  * reproducible-check:
    + Use the .json that contains data for all the Debian suites (instead of
      the currently used one that contains only data for Debian testing), so
      that there are chances for this to work in Debian stable as well. MR: !245

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Jan 2022 17:52:39 +0100

## devscripts 2.22.1

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
  python3-unidiff <!nocheck>,
  python3-xdg <!nocheck>,
  shunit2 <!nocheck>,
- subversion <!nocheck>,
+ subversion [!i386] <!nocheck>,
  unzip <!nocheck>,
  wdiff <!nocheck>,
  xsltproc,
@@ -104,7 +104,6 @@
  lintian,
  man-db,
  patch,
- pristine-tar,
  python3-apt,
  python3-debian (>= 0.1.15),
  python3-magic,

## devscripts 2.22.1ubuntu1~bpo20.04.1

=== debian/changelog ===
devscripts (2.22.1ubuntu1~bpo20.04.1) focal-backports; urgency=medium

  * No-change backport to focal.  LP: #1980579

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Jul 2022 01:16:59 +0200

devscripts (2.22.1ubuntu1) jammy; urgency=medium

  * Drop build-dep on python3-pycurl that is not available on i386.
    + Skip pylint test that would have required that module.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Jan 2022 18:04:17 +0100

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
  python3-debian <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-magic <!nocheck>,
- python3-pycurl <!nocheck>,
  python3-pyftpdlib <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,

=== debian/tests/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  subversion,
  wdiff,
  zip,
+ zstd,
  @,
 Restrictions: allow-stderr

=== test/sadt/comma-separated-restrictions/debian/tests/control ===
Tests: test
Restrictions: needs-recommends, allow-stderr

## devscripts 2.22.1ubuntu1

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl
+UBU_SUGGESTS=debian-keyring, equivs, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
  SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
 else

=== test/sadt/unskippable/debian/tests/control ===
Tests: unskippable

=== test/uscan/manual-test/_tweeper/debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
http://git.ao2.it/tweeper.git \
refs/tags/v([\d\.]+) debian uupdate

## devscripts 2.22.1ubuntu1+11.0trisquel1

=== debian/changelog ===
devscripts (2.22.1ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 28 Jun 2022 00:36:26 +0000

## devscripts 2.22.1ubuntu1+11.0trisquel2

=== debian/changelog ===
devscripts (2.22.1ubuntu1+11.0trisquel2) aramo; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 16 Aug 2023 20:05:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:

## devscripts 2.22.1ubuntu1.1

=== debian/changelog ===
devscripts (2.22.1ubuntu1.1) jammy; urgency=medium

  [ Jeremy Bícha ]
  * rmadison: update Ubuntu URL since people.canonical.com is being
    decomissioned (LP: #2142712)

  [ Paride Legovini ]
  * rmadison: update Ubuntu URL in docs

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Wed, 25 Feb 2026 17:02:03 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:

## devscripts 2.22.2~bpo11%2B1

=== po4a/Makefile ===
--- 
+++ 
@@ -27,10 +27,10 @@
 	$(MAKE) -C ../doc devscripts.1
 
 %.1:: %.pl translate
-	podchecker $<
+	-podchecker $<
 	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
 %.1:: %.pod translate
-	podchecker $<
+	-podchecker $<
 	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
 %.1:: %.dbk translate
 	xsltproc --nonet \

=== scripts/Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 GEN_MAN1S += \
 	deb-why-removed.1 \
 	debbisect.1 \
+	debootsnap.1 \
 	debrebuild.1 \
 	debrepro.1 \
 	ltnu.1 \
@@ -109,6 +110,14 @@
 		--no-discard-stderr \
 		./$< >$@
 
+debootsnap.1: debootsnap
+	help2man \
+		--name="create debian chroot using snapshot.debian.org" \
+		--version-string=$(VERSION) \
+		--no-info \
+		--no-discard-stderr \
+		./$< >$@
+
 debrebuild.1: debrebuild
 	help2man \
 		--name="use a buildinfo file and snapshot.d.o to recreate binary packages" \

## devscripts 2.22.2~bpo11+1

=== debian/changelog ===
devscripts (2.22.2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Jun 2022 12:18:59 +0200

devscripts (2.22.2) unstable; urgency=medium

  [ James McCoy ]
  * who-permits-upload:
    + Fix fingerprint lookup, so it actually finds the user id

  [ David Paul ]
  * debsnap:
    + Add a -l option as the short version of --list.  Closes: #1006904

  [ Antonio Terceiro ]
  * sadt:
    + Run autodep8 when looking for autopkgtests to run.
  * deprepro:
    + Add new options, to make it easier to debrepro against arbitrary source
      directories (i.e. not Debian packages):
      - -B, --build-command: specify custom build command
      - -a, --artifact-pattern: specify custom artifacts to be compared
        across builds
      - --no-copy: run commands against the source tree directly, i.e. don't
        copy it to a temporary build directory.

  [ Mattia Rizzolo ]
  * mk-origtargz:
    + Apply patch from Vasyl Gello to make Files-Included-<component> work.
  * Include the updated Portuguese translation.  Closes: #1011316
    Thanks to Américo Monteiro <a_monteiro@gmx.com>.
  * Run perltidy with the newer 20220217.
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Yadd ]
  * mk-origtargz:
    + Display compression/tar errors

  [ Niels Thykier ]
  * wrap-and-sort:
    + Introduce an experimental mode using the RTS parser available with
      python-debian >= 0.1.43.  This will let wrap-and-sort retain comments.
      This feature is opt-in with a new flag.  MR: !237
    + Futher improvements to the RTS mode, now also supporting short indent
      (-s) among others.  MR: !263

  [ Jelmer Vernooĳ ]
  * deb-janitor:
    + Add a new 'review' subcommand.  MR: !261
  * README: Drop reference to 'bazaar' (1.x) package that has long been
    removed from Debian.  MR: !264

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 18 Jun 2022 12:20:42 +0200

## devscripts 2.22.2

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
+ autodep8 <!nocheck>,
  bash-completion,
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -46,6 +46,7 @@
  python3-debian <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-magic <!nocheck>,
+ python3-pycurl <!nocheck>,
  python3-pyftpdlib <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
@@ -59,7 +60,7 @@
  xz-utils <!nocheck>,
  zip <!nocheck>,
  zstd <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git

## devscripts 2.22.2ubuntu3

=== debian/changelog ===
devscripts (2.22.2ubuntu3) kinetic; urgency=medium

  * Fix to make mk-build-deps actually remove the files.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jul 2022 14:04:17 -0700

devscripts (2.22.2ubuntu2) kinetic; urgency=medium

  * mk-build-deps:
    + remove all output of dpkg-buildpackage with -r, not just the .deb

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jul 2022 20:52:50 +0000

devscripts (2.22.2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop build-dep on python3-pycurl that is not available on i386.
      - Skip pylint test that would have required that module.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Jun 2022 12:43:13 +0200

devscripts (2.22.1ubuntu2) kinetic; urgency=medium

  * Rebuild against new kinetic.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2022 20:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
@@ -46,7 +47,6 @@
  python3-debian <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-magic <!nocheck>,
- python3-pycurl <!nocheck>,
  python3-pyftpdlib <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,

## devscripts 2.23.2

=== debian/changelog ===
devscripts (2.23.2) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Update French translation

  [ Paul Wise ]
  * wnpp-alert: Fix wnpp-alert --diff, which probably never worked

  [ Benjamin Drung ]
  * Format code with black 23.1 (Closes: #1031302)
  * build-rdeps: Document -q in man page (Closes: #1030141)
  * Update translations for recent changes

  [ Jakub Wilk ]
  * debchange.1: Fix uneven indentation in option list (Closes: #1031549)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 19 Feb 2023 00:56:21 +0100

devscripts (2.23.1) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * debrelease: fix escaping in command substitution (Closes: #1030590)

  [ Mattia Rizzolo ]
  * Fix generation of the extended description.
    Thanks to Beatrice Torracca <beatricet@libero.it>

  [ Benjamin Drung ]
  * debdiff-apply: Ask user to install python3-unidiff if missing
    (Closes: #1029985)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 10 Feb 2023 10:17:18 +0100

devscripts (2.23.0) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * list-unreleased:
    + Use find(1)'s -regex filter instead of piping through grep(1).
      Thanks to Akbarkhon Variskhanov <akbarkhon.variskhanov@gmail.com>
      for the patch!  Closes: #1012657
  * dget:
    + Retain the remote mtime also with curl.  Closes: #1020914

  [ Niels Thykier ]
  * wrap-and-sort:
    + Do not sort multi-line comments and pin a comment to the value
      directly following where possible.  Closes: #788998; MR: !268
    + Always apply a trailing comma when run with -t also when the field
      is not being wrapped.  Closes: #989785; MR: !267
    + Enable the new RTS parser by default.  Closes: #820625; MR: !271
  * Fix two minor python style nits.  MR: !287

  [ Edward Betts ]
  * Remove procmail examples. Procmail is a security liability and has been
    abandoned upstream for the last two decades.  MR: !270
    See https://anarc.at/blog/2022-03-02-procmail-considered-harmful/

  [ Sebastian Dröge ]
  * debcommit:
    + Pass `--no-ext-diff` to `git diff`; external diff commands can produce
      output that is not handled by debcommit.  MR: !266

  [ Ben Finney ]
  * debsign:
    + Rework the bash completion script to:  MR: !265
      - Fix behaviour with filenames with special characters.
      - Improve the coding style.
      - Correct use of Bash command completion to match file paths.
        Closes: #1012156
      - Correct Bash completion handling of ‘--version’ option.
        Closes: #1012086
      - Add Bash completion handling for more options that need it.
        Closes: #1012158

  [ Akbarkhon Variskhanov ]
  * Shell scripts style cleanup:
    + Uniform the way the shell script discover their own name, from shelling
      out to `basename` to use ${0##*/}.  MR: !269
    + Place opening braces on the same line as function definitions.  MR: !273
    + Remove whitespace before parentheses.  MR: !273
    + Replace backquoted form of command substitution with $().  MR: !274
    + Remove the 2>/dev/null redirects from `command -v`.  MR: !275
  * Fix grammatical typo in salsa(1)'s man page.  MR: !284

  [ Américo Monteiro ]
  * Update Portuguese translations.  Closes: #1019170

  [ Yadd ]
  * uscan:
    + Fix DEHS output.  Closes: #1019259; MR: !279
  * Update French translation.

  [ Paul Wise ]
  * grep-excuses:
    + Add support for the pseudo-excuses for experimental.  MR: !280
  * bts:
    + Add reasons for "failing to download" errors , for easier dubug.  MR: !293
  * rmadison:
    + Add URL maps (`rmadison -u`) for archived releases ("archive") and
      unofficial ports archive ("ports").  MR: !309

  [ Andrea Pappacoda ]
  * uscan:
    + Support an optional 'v' prefix in @ANY_VERSION@.  MR: !281
      This allows uscan to automatically look for version tags like "v1.0.2".

  [ Ben Hutchings ]
  * Remove use of distutils.command.clean, which no longer works.  MR: !291
  * debbisect, debootsnap, reproducible-check:
    + Fix new pylint warning, requiring a timeout for HTTP requests.  MR: !291

  [ billchenchina ]
  * salsa:
    + verify the return of `git checkout` before continuing.  MR: !290

  [ Jochen Sprickerhof]
  * bts:
    + Fix "Cc" feature (--cc-addr) that was printing the number of addresses
    instead of the actual addresses.  Closes: #1006951

  [ Jelmer Vernooĳ ]
  * deb-janitor:
    + Handle the `schedule` command not returning a queue position.  MR: !294
    + Rename "suite" to "campaign", consistent with the service; this was done
      to avoid confusion with the term 'suite' for apt repositories, which
      only sometimes overlap with a campaign in the Debian Janitor.  MR: !301
    + Use logging module for error output.  MR: !302
    + Add status subcommand.  MR: !303
    + Make source package argument optional, reading from local
      debian/changelog instead.  MR: !304
    + Add merge subcommand, merging changes from a campaign.  MR: !305

  [ g0t mi1k ]
  * build system:
    + Fix build in docker due to permission issues.  MR: !298
    + Fix errors reported by `podchecker` during the build.  MR: !298
    + Add the missing +x bit to two perl source files.  MR: !295
    + Correctly call pylint.  Closes: #1027759; MR: !313
  * salsa:
    + Add SALSA_REMOVE_SOURCE_BRANCH.  MR: !296
    + Add SALSA_BUILD_TIMEOUT.  MR: !297
    + Add/upgraded the ability to control:  MR: !299
      - analytics/auto_devops/builds/container_registry/forking/lfs/
        packages/pages/releases/repository/request_access/requirements/
        snippets/wiki
      - issues/merge_requests
    + Add SALSA_REQUEST_ACCESS.  MR: !319
    + Add SALSA_AVATAR_PATH.  MR: !311 & !321
    + Add pipeline_schedule support.  MR: !314
    + Switch the default for --all not to included archived projects.
      Introduced --all-archive for original behaviour.  MR: !315
    + Fix missing cache folder.  MR: !317
    + Fix space issue with project name.  MR: !316



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  autodep8 <!nocheck>,
  bash-completion,
+ black <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  docbook-xsl,
@@ -17,6 +17,8 @@
  git (>= 1:2.7.0) <!nocheck>,
  gnupg <!nocheck> | gnupg2 <!nocheck>,
  help2man,
+ isort <!nocheck>,
+ libdigest-md5-file-perl <!nocheck>,
  libdistro-info-perl <!nocheck>,
  libdpkg-perl <!nocheck>,
  libfile-desktopentry-perl <!nocheck>,
@@ -30,6 +32,7 @@
  liblist-compare-perl <!nocheck>,
  libmoo-perl <!nocheck>,
  libstring-shellquote-perl <!nocheck>,
+ libswitch-perl <!nocheck>,
  libtest-output-perl <!nocheck>,
  libtimedate-perl <!nocheck>,
  libtry-tiny-perl <!nocheck>,
@@ -47,6 +50,7 @@
  python3-debian <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-magic <!nocheck>,
+ python3-pycurl <!nocheck>,
  python3-pyftpdlib <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
@@ -60,7 +64,7 @@
  xz-utils <!nocheck>,
  zip <!nocheck>,
  zstd <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -74,12 +78,14 @@
  file,
  gnupg | gnupg2,
  gpgv | gpgv2,
+ libdigest-md5-file-perl,
  libfile-dirlist-perl,
  libfile-homedir-perl,
  libfile-touch-perl,
  libfile-which-perl,
  libipc-run-perl,
  libmoo-perl,
+ libswitch-perl,
  libwww-perl,
  patchutils,
  sensible-utils,

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS) \
-		-V"devscripts:LongDesc=$$(cat README| awk '/^- annotate-output/,/^  mailing lists./'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"
+		-V"devscripts:LongDesc=$$(cat README| awk '/^- annotate-output/,/^  exim script for sorting//'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"
